org.apache.cassandra.gms

## Class GossipShutdownVerbHandler

- java.lang.Object
- - org.apache.cassandra.gms.GossipShutdownVerbHandler

All Implemented Interfaces:
  IVerbHandler

    public class GossipShutdownVerbHandler
    extends java.lang.Object
    implements IVerbHandler

### Constructor Summary

Constructors
Constructor and Description
`GossipShutdownVerbHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doVerb(MessageIn message, int id)` This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers).

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GossipShutdownVerbHandler

    public GossipShutdownVerbHandler()

### Method Detail

#### doVerb

    public void doVerb(MessageIn message,
                       int id)

Description copied from interface: `IVerbHandler`
This method delivers a message to the implementing class (if the implementing class was registered by a call to MessagingService.registerVerbHandlers). Note that the caller should not be holding any locks when calling this method because the implementation may be synchronized.

Specified by:
  `doVerb` in interface `IVerbHandler`
Parameters:
  `message` - - incoming message that needs handling.